:noncompliant: swift/noncompliant.adoc
:compliant: swift/compliant.adoc

include::../description.adoc[]

=== Exceptions

The rule ignores:

* variable declarations initialized with a code block

[source,swift]
----
var x : Int { return 0 } // Compliant by exception
----

* closure expressions containing a single statement

[source,swift]
----
doSomething({ (x: Int, y: Int) -> Bool in return x > y }, 5)   // Compliant by exception
----

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

include::../highlighting.adoc[]

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
